{% extends "users/userspace.html" %}

{% block content %}
    <section class="container px-5 my-5">
        <h1>Adhérer à l'INS'AMAP</h1>  <!-- TODO use configured name in DB / configurable text -->
        <section>
            <p>Ici, vous pouvez faire une demande d'adhésion pour l'année spécifiée.
                L'adhésion est effective immédiatement, et vous serez tenu.e de la payer aux responsables de
                l'association.</p>

            {{ PAGE_ADHERER|safe }}

            {% if adhesion_success %}
                <div class="alert alert-success" role="alert">
                    Vous avez bien adhéré pour l'année {{ adhesion_success }}. Merci :)<br>
                    Il ne vous reste plus qu'à régler les {{ tarif }}€ auprès d'un.e responsable.
                </div>
            {% endif %}

            <p class="fw-bold fs-3">Prix de l'adhésion : {{ tarif }} €</p>

            {% if form.errors %}
                <div class="alert alert-danger" role="alert">
                    {% for fieldname, errors in form.errors.items %}
                        <ul class="list-unstyled mb-0">
                            {% for error in errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    {% endfor %}
                </div>
            {% endif %}

            {% if form.fields.date_adhesion.choices|length > 0 %}
                <form action="{% url 'register_adhesion' %}" method="post">
                    {% csrf_token %}

                    {{ form.date_adhesion.label_tag }}
                    <div class="col-3">
                        {{ form.date_adhesion }}
                    </div>

                    <p>En adhérant à l'INS'AMAP, vous reconnaissez avoir lu et accepté
                        <a href="https://amap-aura.org/la-charte-des-amap/" target="_blank" class="fw-bold">
                            la Charte des AMAP.
                        </a>
                    </p>
                    <button type="submit" class="btn btn-success px-5 py-4 fs-3">Adhérer à l'INS'AMAP</button>
                    <!-- TODO site name -->
                </form>
            {% else %}
                <p>Vous avez déjà adhéré sur toutes les années possibles !</p>
            {% endif %}
        </section>
    </section>
{% endblock %}